Bug 217807 - Review Request: perl-Gtk2-Ex-Utils - Extra Gtk2 Utilities for working with Gnome2/Gtk2 in Perl
Review Request: perl-Gtk2-Ex-Utils - Extra Gtk2 Utilities for working with Gn...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Gtk2-Ex-U...
:
Depends On:
Blocks: FE-ACCEPT 217810
  Show dependency treegraph
 
Reported: 2006-11-29 18:12 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 01:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-29 18:12:41 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Utils-0.09-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gtk2-Ex-Utils.spec

Description:
This module provides simple utility functions useful for Gnome2/Gtk2 Perl
programming.
Comment 1 Parag AN(पराग) 2006-11-29 20:43:57 EST
taking this for review
Comment 2 Parag AN(पराग) 2006-11-30 01:21:43 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
076bb6914470fb077f7028fef0a795f8  Gtk2-Ex-Utils-0.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 3 Chris Weyl 2006-11-30 01:49:33 EST
Imported and building for devel; branches requested for FC-[56].

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.